/***********************************************************************************/
/**	\file				ComplexSurface.h
**	\brief				Header File zur Klasse ComplexSurface
*************************************************************************************
**	Autor:				Christian Roesch
*************************************************************************************
**	_tut nichts_
**
*//*********************************************************************************/

#ifndef _ComplexSurface_H
#define _ComplexSurface_H

// includes
#include "Surface.h"

// Klassen-Deklaration

namespace FrameWork
{

/***********************************************************************************/
/** \brief	ComplexSurface _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
*//*********************************************************************************/

class	ComplexSurface
{
public:
	ComplexSurface();
	~ComplexSurface();

	bool load( std::string strFileName );
	void free();

	void drawFrame( FrameWork::Surface* pTarget, 
					const D3DXVECTOR2& vec2Center, 
					const D3DXVECTOR2& vec2Size, 
					int iFrame,
					float fOrientation = 0.0f, 
					DWORD dwColor = D3DCOLOR_XRGB(255, 255, 255) );

protected:

private:
	FrameWork::Surface* m_pSurface;
	bool m_bIsInitialized;

	std::string m_strFile;
	float m_fSizeX;
	float m_fSizeY;
	int m_iFrames;
	int m_iFramesPerLine;
};

}

#endif//_ComplexSurface_H

class	FrameWork::ComplexSurface;


/************************************************************************************
**	Ende der Datei:		ComplexSurface.h
************************************************************************************/ 
