/***********************************************************************************/
/**	\file				SimpleGame.h
**	\brief				Header File zur Klasse SimpleGame
*************************************************************************************
**	Autor:				Christian Roesch
*************************************************************************************
**	_tut nichts_
**
*//*********************************************************************************/

#ifndef _SimpleGame_H
#define _SimpleGame_H

// includes
#include "../framework.h"
#include "../Config.h"

// Klassen-Deklaration
class SimpleMenu;
class FrameWork::GameState;

/***********************************************************************************/
/** \brief	SimpleGame _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
*//*********************************************************************************/

class SimpleGame
{
public:
	SimpleGame();
	~SimpleGame();

protected:

private:
	void startGame();
	void quitGame();
	void main();

	FrameWork::Game* m_pGame;
	FrameWork::Config m_cfgOptions;
	FrameWork::Config m_cfgSettings;

	std::string m_strOptionsFile;
	std::string m_strSettingsFile;

	SimpleMenu* m_pSimpleMenu;
	FrameWork::GameState* m_pgsIngame;
	FrameWork::GameState* m_pgsOutro;
};

#endif//_SimpleGame_H

class	SimpleGame;


/************************************************************************************
**	Ende der Datei:		SimpleGame.h
************************************************************************************/ 
