/*	                     __      __
	                     \ \    / /
	                      \ \  / /
	         _      _______\ \/ /_______      _
	        / \    / __________________ \    / \
	       (   \  | /        __        \ |  /   )
	     ___\  |  | |       / _\       | |  |  /___
	    |____  |  | |      ( <_        | |  | _____|
	      / \| |  | |       \__/       | |  | |/ \
	     / \ | |  | \__________________/ |  | | / \
	    /_/ \__/   \____________________/   \__/ \_\
	 ___  _   _ ___ __  __   _   _  _ ___   _     ____ __
	|   \| | | / __|  \/  | /_\ | \| |_ _| /_\   |__  /  \
	| |) | |_| \__ \ |\/| |/ _ \| .` || | / _ \    / / () |
	|___/ \___/|___/_|  |_/_/ \_\_|\_|___/_/ \_\  /_(_)__/

	      Framework fr den Spieleprogrammierwettbewerb
	             by David Scherfgen (TomasRiker)
*/

#ifndef _D3DRESOURCE_H
#define _D3DRESOURCE_H

#include <list>

namespace FrameWork
{
	// Klasse fr eine allgemeine Direct3D-Resource
	class D3DResource
	{
	public:
		D3DResource();
		virtual ~D3DResource();

		static void handleLostDevice();
		static void handleResetDevice();
		virtual void onLostDevice();
		virtual void onResetDevice();

	private:
		static std::list<D3DResource*> resources;
	};
}

#endif
