/*	                     __      __
	                     \ \    / /
	                      \ \  / /
	         _      _______\ \/ /_______      _
	        / \    / __________________ \    / \
	       (   \  | /        __        \ |  /   )
	     ___\  |  | |       / _\       | |  |  /___
	    |____  |  | |      ( <_        | |  | _____|
	      / \| |  | |       \__/       | |  | |/ \
	     / \ | |  | \__________________/ |  | | / \
	    /_/ \__/   \____________________/   \__/ \_\
	 ___  _   _ ___ __  __   _   _  _ ___   _     ____ __
	|   \| | | / __|  \/  | /_\ | \| |_ _| /_\   |__  /  \
	| |) | |_| \__ \ |\/| |/ _ \| .` || | / _ \    / / () |
	|___/ \___/|___/_|  |_/_/ \_\_|\_|___/_/ \_\  /_(_)__/

	      Framework fr den Spieleprogrammierwettbewerb
	             by David Scherfgen (TomasRiker)
*/

#ifndef _AUDIO_H
#define _AUDIO_H

#include <dsound.h>
#include <string>
#include "singleton.h"

namespace FrameWork
{
	// Klasse fr Audio
	class Audio : public Singleton<Audio>
	{
	public:
		Audio();
		~Audio();

		IDirectSound8* getDSound() {return p_dSound;}

	private:
		IDirectSound8* p_dSound;
		IDirectSoundBuffer* p_primaryBuffer;
	};
}

#endif
